using DeviceRepair.Models.Attr;

namespace DeviceRepair.Models
{
    public enum EnumMaintenanceType
    {

        /// <summary>
        /// 空
        /// </summary>
        [ComboBoxItem(Caption = "全部")]
        None,

        /// <summary>
        /// 年
        /// </summary>
        [ComboBoxItem(Caption = "年度保养")]
        Annual,

        /// <summary>
        /// 奇数年
        /// </summary>
        [ComboBoxItem(Caption = "奇数年保养", IsIgnore = true)]
        OddAnnual,

        /// <summary>
        /// 偶数年
        /// </summary>
        [ComboBoxItem(Caption = "偶数年保养", IsIgnore = true)]
        EvenAnnual,

        /// <summary>
        /// 半年
        /// </summary>
        [ComboBoxItem(Caption = "半年度保养")]
        Semian,

        /// <summary>
        /// 季度
        /// </summary>
        [ComboBoxItem(Caption = "季度保养")]
        Quarterly,

        /// <summary>
        /// 月
        /// </summary>
        [ComboBoxItem(Caption = "月度保养")]
        Monthly,

        /// <summary>
        /// 每周
        /// </summary>
        [ComboBoxItem(Caption = "每周保养",IsIgnore = true)]
        Weekly,

        /// <summary>
        /// 每日
        /// </summary>
        [ComboBoxItem(Caption = "每日保养")]
        Daily,
    }
}
